> ## Documentation Index
> Fetch the complete documentation index at: https://waasapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询存款订单

## 接口描述

该接口用于查询存款订单详情，必须同时满足交易hash、链名、代币符号和存款目标地址这四个条件，只会返回一条符合所有条件的存款记录。其主要作用是帮助商户确认存币回调的有效性，以及是否确实由WaaS平台发出，从而有效规避风险。


## OpenAPI

````yaml POST /api/v1/api/deposit/getDepositOrder
openapi: 3.1.0
info:
  title: API Documentation
  description: A sample API documentation
  version: 1.0.0
servers:
  - url: https://waas2-out-api.powersafe-rel.cc/
security: []
paths:
  /api/v1/api/deposit/getDepositOrder:
    post:
      tags:
        - deposit-controller
      summary: 查询存款订单接口
      operationId: getDepositOrder
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
          description: 必须设置为 application/x-www-form-urlencoded
        - name: X-API-KEY
          in: header
          required: true
          description: 平台分配的商户身份凭证
          schema:
            type: string
            example: 53af2797-3eca-4412-b0cc-15273afe2d3e
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - data
              properties:
                data:
                  type: string
                  description: |-
                    Base64编码的RSA加密数据，由以下原始参数加密生成:

                    **txId** (string): 链上交易Hash。

                    **chainName** (string):  链的名称，比如：ETH、TRON....

                    **symbol** (string): 货币符号，比如：USDT、USDC、PHT.....

                    **toAddress** (string): 存款目标地址。
                  pattern: ^[A-Za-z0-9+/]+={0,2}$
                  example: U2FsdGVkX1+Jfz0VjXJbZ0tZz8G8v4w3Z2jWk3a9T...
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                  - data
                properties:
                  code:
                    type: integer
                    description: 业务状态码（0 = 成功），其他值均表示失败。
                    example: 0
                  message:
                    type: string
                    description: 正常情况下返回为空，当请求失败时则会返回错误信息。
                    example: ''
                  data:
                    type: string
                    description: |-
                      Base64编码的RSA加密数据，由以下原始参数加密生成:

                      **txID** (string): 链上交易Hash。

                      **chainName** (string):  链的名称，比如：ETH、TRON....

                      **symbol** (string): 货币符号，比如：USDT、USDC、PHT.....

                      **toAddress** (string): 存款目标地址

                      **depositAmount。** (string): 存款金额。

                      **callbackSuccess** (string): 回调状态，true：回调成功，false：回调失败。
                    example: G+RlQN2lJ4qQtiXJC7Y6rgHm5UI7TqM1fhPQ8CEf2C4e3jHu4yoK=....
              examples:
                encrypted_response_example:
                  summary: 加密响应示例
                  value:
                    code: 0
                    message: ''
                    data: >-
                      G+RlQN2lJ4qQtiXJC7Y6rgHm5UI7TqM1fhPQ8CEf2C4e3jHu4yoK6pUkGIv+6FNyYKqNrVnqj5RqLAH/mtvrhI6rf235aUvv0gK/rVrpCUKDN46F2PFJ/PAe7H32tzd0iJn4Dn/EKt4TRmqm3rgoFZSbkvEnuzVYS+6ikPDrkgMzgx6Xg7U+y4esvWqMsJzt7x/CllGdJj6Me386qXD1PD558HydR9TteDWl4FqfvACx/6T64BAy/F4f3HqSfoBt9NuUN3s0SdXFVZt2Lq8Nycem0lDWuvacqlOkCMgCcTvmDyDPDG3Kn8Mq1wtiCxikBOlwGoxMDN/yyN30N7EaBA==
                decrypted_response_example:
                  summary: 解密后的完整响应
                  value:
                    code: 0
                    message: ''
                    data: >-
                      {"txId":"37e9da49134670ae0aec4d3645a08636f06b1ed0a2a984d8b1e11d019d8d5bc1","chainName":"TRON","symbol":"TRX","toAddress":"TAqNhkKiash2nbL278BD7XogGuET9p7VMC","depositAmount":1.300000000000,"callbackSuccess":true}
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  responses:
    UnauthorizedError:
      description: 用户未授权，需提供有效的身份凭证。
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: 错误代码
              message:
                type: string
                description: 错误描述
          example:
            code: UNAUTHORIZED
            message: unauthorized
    ForbiddenError:
      description: 访问被拒绝，用户许可权不足。
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: 错误代码
              message:
                type: string
                description: 错误描述
          example:
            code: FORBIDDEN
            message: forbidden
    NotFoundError:
      description: 请求的资源未找到，检查 URL 是否正确。
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: 错误代码
              message:
                type: string
                description: 错误描述
          example:
            code: NOT FOUND
            message: not found

````